part  of ad_detail;


class AdDetailPage extends StatefulWidget {
  final AdModel adModel;
  const AdDetailPage({
    Key? key,
    required this.adModel
  }) : super(key: key);

  @override
  State<AdDetailPage> createState() => _AdDetailPageState();
}

class _AdDetailPageState extends State<AdDetailPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(

        ),
        body: InAppWebView(
          initialUrlRequest: URLRequest(
            url: WebUri.uri(Uri.parse(widget.adModel.url??''))
            // Uri.parse(widget.adModel.url??''),
          ),
          initialSettings:InAppWebViewSettings(
            // http的请求也不做限制
              mixedContentMode:MixedContentMode.MIXED_CONTENT_ALWAYS_ALLOW
          ),
        )
    );
  }
}
